const { BasicComponent } = require('@kenlo/guidelines');
const { cloneDeep } = require('lodash');

class Component {
  onCreate() {
    this.state = {
      nameList: [],
    };
  }

  addNameToList(name) {
    const nameList = cloneDeep(this.state.nameList);
    nameList.push(name);
    this.setState({ nameList });
  }

  removeNameFromList(index) {
    const nameList = cloneDeep(this.state.nameList);
    this.setState({ nameList: [] });
    nameList.splice(index, 1);
    this.setState({ nameList });
  }
}

module.exports = BasicComponent(Component);
